import { IConnection } from "vscode-languageserver";
import { URI } from "vscode-uri";
import { DocumentEvents } from "../../util/documentEvents";
import { Settings } from "../../util/settings";
export interface IElmIssueRegion {
    start: {
        line: number;
        column: number;
    };
    end: {
        line: number;
        column: number;
    };
}
export interface IElmIssue {
    tag: string;
    overview: string;
    subregion: string;
    details: string;
    region: IElmIssueRegion;
    type: string;
    file: string;
}
export declare class DiagnosticsProvider {
    private connection;
    private elmWorkspaceFolder;
    private events;
    private elmMakeDiagnostics;
    private elmAnalyseDiagnostics;
    private currentDiagnostics;
    private settings;
    constructor(connection: IConnection, elmWorkspaceFolder: URI, documentEvents: DocumentEvents, settings: Settings);
    private newElmAnalyseDiagnostics;
    private sendDiagnostics;
    private getDiagnostics;
    private elmMakeIssueToDiagnostic;
    private severityStringToDiagnosticSeverity;
}
