"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Settings {
    constructor(capabilities, initializationOptions) {
        this.capabilities = capabilities;
        this.initializationOptions = initializationOptions;
        this.fallbackClientSettings = {
            elmFormatPath: "elm-format",
            elmPath: "elm",
            elmTestPath: "elm-test",
        };
    }
    getSettings(connection) {
        const supportsConfig = this.capabilities &&
            this.capabilities.workspace &&
            this.capabilities.workspace.configuration;
        if (!supportsConfig) {
            return Promise.resolve(this.initializationOptions);
        }
        return connection.workspace
            .getConfiguration({
            section: "elmLS",
        })
            .then(settings => 
        // Allow falling back to the preset params if we cant get the
        // settings from the workspace
        Object.assign({}, this.fallbackClientSettings, this.initializationOptions, settings));
    }
}
exports.Settings = Settings;
//# sourceMappingURL=settings.js.map